## org.eclipse.uml2.uml.util
Class UMLSwitch<T>

    java.lang.Object
      org.eclipse.emf.ecore.util.Switch<T>
          org.eclipse.uml2.uml.util.UMLSwitch<T>

Direct Known Subclasses:
  UMLUtil.UML2EcoreConverter

    public class UMLSwitch<T>

extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `UMLPackage`

Field Summary
`protected static UMLPackage` `modelPackage` The cached model package

Constructor Summary
`UMLSwitch()` Creates an instance of the switch

Method Summary
`T` `caseAbstraction(Abstraction object)` Returns the result of interpreting the object as an instance of 'Abstraction'
`T` `caseAcceptCallAction(AcceptCallAction object)` Returns the result of interpreting the object as an instance of 'Accept Call Action'
`T` `caseAcceptEventAction(AcceptEventAction object)` Returns the result of interpreting the object as an instance of 'Accept Event Action'
`T` `caseAction(Action object)` Returns the result of interpreting the object as an instance of 'Action'
`T` `caseActionExecutionSpecification(ActionExecutionSpecification object)` Returns the result of interpreting the object as an instance of 'Action Execution Specification'
`T` `caseActionInputPin(ActionInputPin object)` Returns the result of interpreting the object as an instance of 'Action Input Pin'
`T` `caseActivity(Activity object)` Returns the result of interpreting the object as an instance of 'Activity'
`T` `caseActivityEdge(ActivityEdge object)` Returns the result of interpreting the object as an instance of 'Activity Edge'
`T` `caseActivityFinalNode(ActivityFinalNode object)` Returns the result of interpreting the object as an instance of 'Activity Final Node'
`T` `caseActivityGroup(ActivityGroup object)` Returns the result of interpreting the object as an instance of 'Activity Group'
`T` `caseActivityNode(ActivityNode object)` Returns the result of interpreting the object as an instance of 'Activity Node'
`T` `caseActivityParameterNode(ActivityParameterNode object)` Returns the result of interpreting the object as an instance of 'Activity Parameter Node'
`T` `caseActivityPartition(ActivityPartition object)` Returns the result of interpreting the object as an instance of 'Activity Partition'
`T` `caseActor(Actor object)` Returns the result of interpreting the object as an instance of 'Actor'
`T` `caseAddStructuralFeatureValueAction(AddStructuralFeatureValueAction object)` Returns the result of interpreting the object as an instance of 'Add Structural Feature Value Action'
`T` `caseAddVariableValueAction(AddVariableValueAction object)` Returns the result of interpreting the object as an instance of 'Add Variable Value Action'
`T` `caseAnyReceiveEvent(AnyReceiveEvent object)` Returns the result of interpreting the object as an instance of 'Any Receive Event'
`T` `caseArtifact(Artifact object)` Returns the result of interpreting the object as an instance of 'Artifact'
`T` `caseAssociation(Association object)` Returns the result of interpreting the object as an instance of 'Association'
`T` `caseAssociationClass(AssociationClass object)` Returns the result of interpreting the object as an instance of 'Association Class'
`T` `caseBehavior(Behavior object)` Returns the result of interpreting the object as an instance of 'Behavior'
`T` `caseBehavioralFeature(BehavioralFeature object)` Returns the result of interpreting the object as an instance of 'Behavioral Feature'
`T` `caseBehavioredClassifier(BehavioredClassifier object)` Returns the result of interpreting the object as an instance of 'Behaviored Classifier'
`T` `caseBehaviorExecutionSpecification(BehaviorExecutionSpecification object)` Returns the result of interpreting the object as an instance of 'Behavior Execution Specification'
`T` `caseBroadcastSignalAction(BroadcastSignalAction object)` Returns the result of interpreting the object as an instance of 'Broadcast Signal Action'
`T` `caseCallAction(CallAction object)` Returns the result of interpreting the object as an instance of 'Call Action'
`T` `caseCallBehaviorAction(CallBehaviorAction object)` Returns the result of interpreting the object as an instance of 'Call Behavior Action'
`T` `caseCallEvent(CallEvent object)` Returns the result of interpreting the object as an instance of 'Call Event'
`T` `caseCallOperationAction(CallOperationAction object)` Returns the result of interpreting the object as an instance of 'Call Operation Action'
`T` `caseCentralBufferNode(CentralBufferNode object)` Returns the result of interpreting the object as an instance of 'Central Buffer Node'
`T` `caseChangeEvent(ChangeEvent object)` Returns the result of interpreting the object as an instance of 'Change Event'
`T` `caseClass(Class object)` Returns the result of interpreting the object as an instance of 'Class'
`T` `caseClassifier(Classifier object)` Returns the result of interpreting the object as an instance of 'Classifier'
`T` `caseClassifierTemplateParameter(ClassifierTemplateParameter object)` Returns the result of interpreting the object as an instance of 'Classifier Template Parameter'
`T` `caseClause(Clause object)` Returns the result of interpreting the object as an instance of 'Clause'
`T` `caseClearAssociationAction(ClearAssociationAction object)` Returns the result of interpreting the object as an instance of 'Clear Association Action'
`T` `caseClearStructuralFeatureAction(ClearStructuralFeatureAction object)` Returns the result of interpreting the object as an instance of 'Clear Structural Feature Action'
`T` `caseClearVariableAction(ClearVariableAction object)` Returns the result of interpreting the object as an instance of 'Clear Variable Action'
`T` `caseCollaboration(Collaboration object)` Returns the result of interpreting the object as an instance of 'Collaboration'
`T` `caseCollaborationUse(CollaborationUse object)` Returns the result of interpreting the object as an instance of 'Collaboration Use'
`T` `caseCombinedFragment(CombinedFragment object)` Returns the result of interpreting the object as an instance of 'Combined Fragment'
`T` `caseComment(Comment object)` Returns the result of interpreting the object as an instance of 'Comment'
`T` `caseCommunicationPath(CommunicationPath object)` Returns the result of interpreting the object as an instance of 'Communication Path'
`T` `caseComponent(Component object)` Returns the result of interpreting the object as an instance of 'Component'
`T` `caseComponentRealization(ComponentRealization object)` Returns the result of interpreting the object as an instance of 'Component Realization'
`T` `caseConditionalNode(ConditionalNode object)` Returns the result of interpreting the object as an instance of 'Conditional Node'
`T` `caseConnectableElement(ConnectableElement object)` Returns the result of interpreting the object as an instance of 'Connectable Element'
`T` `caseConnectableElementTemplateParameter(ConnectableElementTemplateParameter object)` Returns the result of interpreting the object as an instance of 'Connectable Element Template Parameter'
`T` `caseConnectionPointReference(ConnectionPointReference object)` Returns the result of interpreting the object as an instance of 'Connection Point Reference'
`T` `caseConnector(Connector object)` Returns the result of interpreting the object as an instance of 'Connector'
`T` `caseConnectorEnd(ConnectorEnd object)` Returns the result of interpreting the object as an instance of 'Connector End'
`T` `caseConsiderIgnoreFragment(ConsiderIgnoreFragment object)` Returns the result of interpreting the object as an instance of 'Consider Ignore Fragment'
`T` `caseConstraint(Constraint object)` Returns the result of interpreting the object as an instance of 'Constraint'
`T` `caseContinuation(Continuation object)` Returns the result of interpreting the object as an instance of 'Continuation'
`T` `caseControlFlow(ControlFlow object)` Returns the result of interpreting the object as an instance of 'Control Flow'
`T` `caseControlNode(ControlNode object)` Returns the result of interpreting the object as an instance of 'Control Node'
`T` `caseCreateLinkAction(CreateLinkAction object)` Returns the result of interpreting the object as an instance of 'Create Link Action'
`T` `caseCreateLinkObjectAction(CreateLinkObjectAction object)` Returns the result of interpreting the object as an instance of 'Create Link Object Action'
`T` `caseCreateObjectAction(CreateObjectAction object)` Returns the result of interpreting the object as an instance of 'Create Object Action'
`T` `caseCreationEvent(CreationEvent object)` Returns the result of interpreting the object as an instance of 'Creation Event'
`T` `caseDataStoreNode(DataStoreNode object)` Returns the result of interpreting the object as an instance of 'Data Store Node'
`T` `caseDataType(DataType object)` Returns the result of interpreting the object as an instance of 'Data Type'
`T` `caseDecisionNode(DecisionNode object)` Returns the result of interpreting the object as an instance of 'Decision Node'
`T` `caseDependency(Dependency object)` Returns the result of interpreting the object as an instance of 'Dependency'
`T` `caseDeployedArtifact(DeployedArtifact object)` Returns the result of interpreting the object as an instance of 'Deployed Artifact'
`T` `caseDeployment(Deployment object)` Returns the result of interpreting the object as an instance of 'Deployment'
`T` `caseDeploymentSpecification(DeploymentSpecification object)` Returns the result of interpreting the object as an instance of 'Deployment Specification'
`T` `caseDeploymentTarget(DeploymentTarget object)` Returns the result of interpreting the object as an instance of 'Deployment Target'
`T` `caseDestroyLinkAction(DestroyLinkAction object)` Returns the result of interpreting the object as an instance of 'Destroy Link Action'
`T` `caseDestroyObjectAction(DestroyObjectAction object)` Returns the result of interpreting the object as an instance of 'Destroy Object Action'
`T` `caseDestructionEvent(DestructionEvent object)` Returns the result of interpreting the object as an instance of 'Destruction Event'
`T` `caseDevice(Device object)` Returns the result of interpreting the object as an instance of 'Device'
`T` `caseDirectedRelationship(DirectedRelationship object)` Returns the result of interpreting the object as an instance of 'Directed Relationship'
`T` `caseDuration(Duration object)` Returns the result of interpreting the object as an instance of 'Duration'
`T` `caseDurationConstraint(DurationConstraint object)` Returns the result of interpreting the object as an instance of 'Duration Constraint'
`T` `caseDurationInterval(DurationInterval object)` Returns the result of interpreting the object as an instance of 'Duration Interval'
`T` `caseDurationObservation(DurationObservation object)` Returns the result of interpreting the object as an instance of 'Duration Observation'
`T` `caseElement(Element object)` Returns the result of interpreting the object as an instance of 'Element'
`T` `caseElementImport(ElementImport object)` Returns the result of interpreting the object as an instance of 'Element Import'
`T` `caseEModelElement(org.eclipse.emf.ecore.EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'
`T` `caseEncapsulatedClassifier(EncapsulatedClassifier object)` Returns the result of interpreting the object as an instance of 'Encapsulated Classifier'
`T` `caseEnumeration(Enumeration object)` Returns the result of interpreting the object as an instance of 'Enumeration'
`T` `caseEnumerationLiteral(EnumerationLiteral object)` Returns the result of interpreting the object as an instance of 'Enumeration Literal'
`T` `caseEvent(Event object)` Returns the result of interpreting the object as an instance of 'Event'
`T` `caseExceptionHandler(ExceptionHandler object)` Returns the result of interpreting the object as an instance of 'Exception Handler'
`T` `caseExecutableNode(ExecutableNode object)` Returns the result of interpreting the object as an instance of 'Executable Node'
`T` `caseExecutionEnvironment(ExecutionEnvironment object)` Returns the result of interpreting the object as an instance of 'Execution Environment'
`T` `caseExecutionEvent(ExecutionEvent object)` Returns the result of interpreting the object as an instance of 'Execution Event'
`T` `caseExecutionOccurrenceSpecification(ExecutionOccurrenceSpecification object)` Returns the result of interpreting the object as an instance of 'Execution Occurrence Specification'
`T` `caseExecutionSpecification(ExecutionSpecification object)` Returns the result of interpreting the object as an instance of 'Execution Specification'
`T` `caseExpansionNode(ExpansionNode object)` Returns the result of interpreting the object as an instance of 'Expansion Node'
`T` `caseExpansionRegion(ExpansionRegion object)` Returns the result of interpreting the object as an instance of 'Expansion Region'
`T` `caseExpression(Expression object)` Returns the result of interpreting the object as an instance of 'Expression'
`T` `caseExtend(Extend object)` Returns the result of interpreting the object as an instance of 'Extend'
`T` `caseExtension(Extension object)` Returns the result of interpreting the object as an instance of 'Extension'
`T` `caseExtensionEnd(ExtensionEnd object)` Returns the result of interpreting the object as an instance of 'Extension End'
`T` `caseExtensionPoint(ExtensionPoint object)` Returns the result of interpreting the object as an instance of 'Extension Point'
`T` `caseFeature(Feature object)` Returns the result of interpreting the object as an instance of 'Feature'
`T` `caseFinalNode(FinalNode object)` Returns the result of interpreting the object as an instance of 'Final Node'
`T` `caseFinalState(FinalState object)` Returns the result of interpreting the object as an instance of 'Final State'
`T` `caseFlowFinalNode(FlowFinalNode object)` Returns the result of interpreting the object as an instance of 'Flow Final Node'
`T` `caseForkNode(ForkNode object)` Returns the result of interpreting the object as an instance of 'Fork Node'
`T` `caseFunctionBehavior(FunctionBehavior object)` Returns the result of interpreting the object as an instance of 'Function Behavior'
`T` `caseGate(Gate object)` Returns the result of interpreting the object as an instance of 'Gate'
`T` `caseGeneralization(Generalization object)` Returns the result of interpreting the object as an instance of 'Generalization'
`T` `caseGeneralizationSet(GeneralizationSet object)` Returns the result of interpreting the object as an instance of 'Generalization Set'
`T` `caseGeneralOrdering(GeneralOrdering object)` Returns the result of interpreting the object as an instance of 'General Ordering'
`T` `caseImage(Image object)` Returns the result of interpreting the object as an instance of 'Image'
`T` `caseInclude(Include object)` Returns the result of interpreting the object as an instance of 'Include'
`T` `caseInformationFlow(InformationFlow object)` Returns the result of interpreting the object as an instance of 'Information Flow'
`T` `caseInformationItem(InformationItem object)` Returns the result of interpreting the object as an instance of 'Information Item'
`T` `caseInitialNode(InitialNode object)` Returns the result of interpreting the object as an instance of 'Initial Node'
`T` `caseInputPin(InputPin object)` Returns the result of interpreting the object as an instance of 'Input Pin'
`T` `caseInstanceSpecification(InstanceSpecification object)` Returns the result of interpreting the object as an instance of 'Instance Specification'
`T` `caseInstanceValue(InstanceValue object)` Returns the result of interpreting the object as an instance of 'Instance Value'
`T` `caseInteraction(Interaction object)` Returns the result of interpreting the object as an instance of 'Interaction'
`T` `caseInteractionConstraint(InteractionConstraint object)` Returns the result of interpreting the object as an instance of 'Interaction Constraint'
`T` `caseInteractionFragment(InteractionFragment object)` Returns the result of interpreting the object as an instance of 'Interaction Fragment'
`T` `caseInteractionOperand(InteractionOperand object)` Returns the result of interpreting the object as an instance of 'Interaction Operand'
`T` `caseInteractionUse(InteractionUse object)` Returns the result of interpreting the object as an instance of 'Interaction Use'
`T` `caseInterface(Interface object)` Returns the result of interpreting the object as an instance of 'Interface'
`T` `caseInterfaceRealization(InterfaceRealization object)` Returns the result of interpreting the object as an instance of 'Interface Realization'
`T` `caseInterruptibleActivityRegion(InterruptibleActivityRegion object)` Returns the result of interpreting the object as an instance of 'Interruptible Activity Region'
`T` `caseInterval(Interval object)` Returns the result of interpreting the object as an instance of 'Interval'
`T` `caseIntervalConstraint(IntervalConstraint object)` Returns the result of interpreting the object as an instance of 'Interval Constraint'
`T` `caseInvocationAction(InvocationAction object)` Returns the result of interpreting the object as an instance of 'Invocation Action'
`T` `caseJoinNode(JoinNode object)` Returns the result of interpreting the object as an instance of 'Join Node'
`T` `caseLifeline(Lifeline object)` Returns the result of interpreting the object as an instance of 'Lifeline'
`T` `caseLinkAction(LinkAction object)` Returns the result of interpreting the object as an instance of 'Link Action'
`T` `caseLinkEndCreationData(LinkEndCreationData object)` Returns the result of interpreting the object as an instance of 'Link End Creation Data'
`T` `caseLinkEndData(LinkEndData object)` Returns the result of interpreting the object as an instance of 'Link End Data'
`T` `caseLinkEndDestructionData(LinkEndDestructionData object)` Returns the result of interpreting the object as an instance of 'Link End Destruction Data'
`T` `caseLiteralBoolean(LiteralBoolean object)` Returns the result of interpreting the object as an instance of 'Literal Boolean'
`T` `caseLiteralInteger(LiteralInteger object)` Returns the result of interpreting the object as an instance of 'Literal Integer'
`T` `caseLiteralNull(LiteralNull object)` Returns the result of interpreting the object as an instance of 'Literal Null'
`T` `caseLiteralSpecification(LiteralSpecification object)` Returns the result of interpreting the object as an instance of 'Literal Specification'
`T` `caseLiteralString(LiteralString object)` Returns the result of interpreting the object as an instance of 'Literal String'
`T` `caseLiteralUnlimitedNatural(LiteralUnlimitedNatural object)` Returns the result of interpreting the object as an instance of 'Literal Unlimited Natural'
`T` `caseLoopNode(LoopNode object)` Returns the result of interpreting the object as an instance of 'Loop Node'
`T` `caseManifestation(Manifestation object)` Returns the result of interpreting the object as an instance of 'Manifestation'
`T` `caseMergeNode(MergeNode object)` Returns the result of interpreting the object as an instance of 'Merge Node'
`T` `caseMessage(Message object)` Returns the result of interpreting the object as an instance of 'Message'
`T` `caseMessageEnd(MessageEnd object)` Returns the result of interpreting the object as an instance of 'Message End'
`T` `caseMessageEvent(MessageEvent object)` Returns the result of interpreting the object as an instance of 'Message Event'
`T` `caseMessageOccurrenceSpecification(MessageOccurrenceSpecification object)` Returns the result of interpreting the object as an instance of 'Message Occurrence Specification'
`T` `caseModel(Model object)` Returns the result of interpreting the object as an instance of 'Model'
`T` `caseMultiplicityElement(MultiplicityElement object)` Returns the result of interpreting the object as an instance of 'Multiplicity Element'
`T` `caseNamedElement(NamedElement object)` Returns the result of interpreting the object as an instance of 'Named Element'
`T` `caseNamespace(Namespace object)` Returns the result of interpreting the object as an instance of 'Namespace'
`T` `caseNode(Node object)` Returns the result of interpreting the object as an instance of 'Node'
`T` `caseObjectFlow(ObjectFlow object)` Returns the result of interpreting the object as an instance of 'Object Flow'
`T` `caseObjectNode(ObjectNode object)` Returns the result of interpreting the object as an instance of 'Object Node'
`T` `caseObservation(Observation object)` Returns the result of interpreting the object as an instance of 'Observation'
`T` `caseOccurrenceSpecification(OccurrenceSpecification object)` Returns the result of interpreting the object as an instance of 'Occurrence Specification'
`T` `caseOpaqueAction(OpaqueAction object)` Returns the result of interpreting the object as an instance of 'Opaque Action'
`T` `caseOpaqueBehavior(OpaqueBehavior object)` Returns the result of interpreting the object as an instance of 'Opaque Behavior'
`T` `caseOpaqueExpression(OpaqueExpression object)` Returns the result of interpreting the object as an instance of 'Opaque Expression'
`T` `caseOperation(Operation object)` Returns the result of interpreting the object as an instance of 'Operation'
`T` `caseOperationTemplateParameter(OperationTemplateParameter object)` Returns the result of interpreting the object as an instance of 'Operation Template Parameter'
`T` `caseOutputPin(OutputPin object)` Returns the result of interpreting the object as an instance of 'Output Pin'
`T` `casePackage(Package object)` Returns the result of interpreting the object as an instance of 'Package'
`T` `casePackageableElement(PackageableElement object)` Returns the result of interpreting the object as an instance of 'Packageable Element'
`T` `casePackageImport(PackageImport object)` Returns the result of interpreting the object as an instance of 'Package Import'
`T` `casePackageMerge(PackageMerge object)` Returns the result of interpreting the object as an instance of 'Package Merge'
`T` `caseParameter(Parameter object)` Returns the result of interpreting the object as an instance of 'Parameter'
`T` `caseParameterableElement(ParameterableElement object)` Returns the result of interpreting the object as an instance of 'Parameterable Element'
`T` `caseParameterSet(ParameterSet object)` Returns the result of interpreting the object as an instance of 'Parameter Set'
`T` `casePartDecomposition(PartDecomposition object)` Returns the result of interpreting the object as an instance of 'Part Decomposition'
`T` `casePin(Pin object)` Returns the result of interpreting the object as an instance of 'Pin'
`T` `casePort(Port object)` Returns the result of interpreting the object as an instance of 'Port'
`T` `casePrimitiveType(PrimitiveType object)` Returns the result of interpreting the object as an instance of 'Primitive Type'
`T` `caseProfile(Profile object)` Returns the result of interpreting the object as an instance of 'Profile'
`T` `caseProfileApplication(ProfileApplication object)` Returns the result of interpreting the object as an instance of 'Profile Application'
`T` `caseProperty(Property object)` Returns the result of interpreting the object as an instance of 'Property'
`T` `caseProtocolConformance(ProtocolConformance object)` Returns the result of interpreting the object as an instance of 'Protocol Conformance'
`T` `caseProtocolStateMachine(ProtocolStateMachine object)` Returns the result of interpreting the object as an instance of 'Protocol State Machine'
`T` `caseProtocolTransition(ProtocolTransition object)` Returns the result of interpreting the object as an instance of 'Protocol Transition'
`T` `casePseudostate(Pseudostate object)` Returns the result of interpreting the object as an instance of 'Pseudostate'
`T` `caseQualifierValue(QualifierValue object)` Returns the result of interpreting the object as an instance of 'Qualifier Value'
`T` `caseRaiseExceptionAction(RaiseExceptionAction object)` Returns the result of interpreting the object as an instance of 'Raise Exception Action'
`T` `caseReadExtentAction(ReadExtentAction object)` Returns the result of interpreting the object as an instance of 'Read Extent Action'
`T` `caseReadIsClassifiedObjectAction(ReadIsClassifiedObjectAction object)` Returns the result of interpreting the object as an instance of 'Read Is Classified Object Action'
`T` `caseReadLinkAction(ReadLinkAction object)` Returns the result of interpreting the object as an instance of 'Read Link Action'
`T` `caseReadLinkObjectEndAction(ReadLinkObjectEndAction object)` Returns the result of interpreting the object as an instance of 'Read Link Object End Action'
`T` `caseReadLinkObjectEndQualifierAction(ReadLinkObjectEndQualifierAction object)` Returns the result of interpreting the object as an instance of 'Read Link Object End Qualifier Action'
`T` `caseReadSelfAction(ReadSelfAction object)` Returns the result of interpreting the object as an instance of 'Read Self Action'
`T` `caseReadStructuralFeatureAction(ReadStructuralFeatureAction object)` Returns the result of interpreting the object as an instance of 'Read Structural Feature Action'
`T` `caseReadVariableAction(ReadVariableAction object)` Returns the result of interpreting the object as an instance of 'Read Variable Action'
`T` `caseRealization(Realization object)` Returns the result of interpreting the object as an instance of 'Realization'
`T` `caseReceiveOperationEvent(ReceiveOperationEvent object)` Returns the result of interpreting the object as an instance of 'Receive Operation Event'
`T` `caseReceiveSignalEvent(ReceiveSignalEvent object)` Returns the result of interpreting the object as an instance of 'Receive Signal Event'
`T` `caseReception(Reception object)` Returns the result of interpreting the object as an instance of 'Reception'
`T` `caseReclassifyObjectAction(ReclassifyObjectAction object)` Returns the result of interpreting the object as an instance of 'Reclassify Object Action'
`T` `caseRedefinableElement(RedefinableElement object)` Returns the result of interpreting the object as an instance of 'Redefinable Element'
`T` `caseRedefinableTemplateSignature(RedefinableTemplateSignature object)` Returns the result of interpreting the object as an instance of 'Redefinable Template Signature'
`T` `caseReduceAction(ReduceAction object)` Returns the result of interpreting the object as an instance of 'Reduce Action'
`T` `caseRegion(Region object)` Returns the result of interpreting the object as an instance of 'Region'
`T` `caseRelationship(Relationship object)` Returns the result of interpreting the object as an instance of 'Relationship'
`T` `caseRemoveStructuralFeatureValueAction(RemoveStructuralFeatureValueAction object)` Returns the result of interpreting the object as an instance of 'Remove Structural Feature Value Action'
`T` `caseRemoveVariableValueAction(RemoveVariableValueAction object)` Returns the result of interpreting the object as an instance of 'Remove Variable Value Action'
`T` `caseReplyAction(ReplyAction object)` Returns the result of interpreting the object as an instance of 'Reply Action'
`T` `caseSendObjectAction(SendObjectAction object)` Returns the result of interpreting the object as an instance of 'Send Object Action'
`T` `caseSendOperationEvent(SendOperationEvent object)` Returns the result of interpreting the object as an instance of 'Send Operation Event'
`T` `caseSendSignalAction(SendSignalAction object)` Returns the result of interpreting the object as an instance of 'Send Signal Action'
`T` `caseSendSignalEvent(SendSignalEvent object)` Returns the result of interpreting the object as an instance of 'Send Signal Event'
`T` `caseSequenceNode(SequenceNode object)` Returns the result of interpreting the object as an instance of 'Sequence Node'
`T` `caseSignal(Signal object)` Returns the result of interpreting the object as an instance of 'Signal'
`T` `caseSignalEvent(SignalEvent object)` Returns the result of interpreting the object as an instance of 'Signal Event'
`T` `caseSlot(Slot object)` Returns the result of interpreting the object as an instance of 'Slot'
`T` `caseStartClassifierBehaviorAction(StartClassifierBehaviorAction object)` Returns the result of interpreting the object as an instance of 'Start Classifier Behavior Action'
`T` `caseStartObjectBehaviorAction(StartObjectBehaviorAction object)` Returns the result of interpreting the object as an instance of 'Start Object Behavior Action'
`T` `caseState(State object)` Returns the result of interpreting the object as an instance of 'State'
`T` `caseStateInvariant(StateInvariant object)` Returns the result of interpreting the object as an instance of 'State Invariant'
`T` `caseStateMachine(StateMachine object)` Returns the result of interpreting the object as an instance of 'State Machine'
`T` `caseStereotype(Stereotype object)` Returns the result of interpreting the object as an instance of 'Stereotype'
`T` `caseStringExpression(StringExpression object)` Returns the result of interpreting the object as an instance of 'String Expression'
`T` `caseStructuralFeature(StructuralFeature object)` Returns the result of interpreting the object as an instance of 'Structural Feature'
`T` `caseStructuralFeatureAction(StructuralFeatureAction object)` Returns the result of interpreting the object as an instance of 'Structural Feature Action'
`T` `caseStructuredActivityNode(StructuredActivityNode object)` Returns the result of interpreting the object as an instance of 'Structured Activity Node'
`T` `caseStructuredClassifier(StructuredClassifier object)` Returns the result of interpreting the object as an instance of 'Structured Classifier'
`T` `caseSubstitution(Substitution object)` Returns the result of interpreting the object as an instance of 'Substitution'
`T` `caseTemplateableElement(TemplateableElement object)` Returns the result of interpreting the object as an instance of 'Templateable Element'
`T` `caseTemplateBinding(TemplateBinding object)` Returns the result of interpreting the object as an instance of 'Template Binding'
`T` `caseTemplateParameter(TemplateParameter object)` Returns the result of interpreting the object as an instance of 'Template Parameter'
`T` `caseTemplateParameterSubstitution(TemplateParameterSubstitution object)` Returns the result of interpreting the object as an instance of 'Template Parameter Substitution'
`T` `caseTemplateSignature(TemplateSignature object)` Returns the result of interpreting the object as an instance of 'Template Signature'
`T` `caseTestIdentityAction(TestIdentityAction object)` Returns the result of interpreting the object as an instance of 'Test Identity Action'
`T` `caseTimeConstraint(TimeConstraint object)` Returns the result of interpreting the object as an instance of 'Time Constraint'
`T` `caseTimeEvent(TimeEvent object)` Returns the result of interpreting the object as an instance of 'Time Event'
`T` `caseTimeExpression(TimeExpression object)` Returns the result of interpreting the object as an instance of 'Time Expression'
`T` `caseTimeInterval(TimeInterval object)` Returns the result of interpreting the object as an instance of 'Time Interval'
`T` `caseTimeObservation(TimeObservation object)` Returns the result of interpreting the object as an instance of 'Time Observation'
`T` `caseTransition(Transition object)` Returns the result of interpreting the object as an instance of 'Transition'
`T` `caseTrigger(Trigger object)` Returns the result of interpreting the object as an instance of 'Trigger'
`T` `caseType(Type object)` Returns the result of interpreting the object as an instance of 'Type'
`T` `caseTypedElement(TypedElement object)` Returns the result of interpreting the object as an instance of 'Typed Element'
`T` `caseUnmarshallAction(UnmarshallAction object)` Returns the result of interpreting the object as an instance of 'Unmarshall Action'
`T` `caseUsage(Usage object)` Returns the result of interpreting the object as an instance of 'Usage'
`T` `caseUseCase(UseCase object)` Returns the result of interpreting the object as an instance of 'Use Case'
`T` `caseValuePin(ValuePin object)` Returns the result of interpreting the object as an instance of 'Value Pin'
`T` `caseValueSpecification(ValueSpecification object)` Returns the result of interpreting the object as an instance of 'Value Specification'
`T` `caseValueSpecificationAction(ValueSpecificationAction object)` Returns the result of interpreting the object as an instance of 'Value Specification Action'
`T` `caseVariable(Variable object)` Returns the result of interpreting the object as an instance of 'Variable'
`T` `caseVariableAction(VariableAction object)` Returns the result of interpreting the object as an instance of 'Variable Action'
`T` `caseVertex(Vertex object)` Returns the result of interpreting the object as an instance of 'Vertex'
`T` `caseWriteLinkAction(WriteLinkAction object)` Returns the result of interpreting the object as an instance of 'Write Link Action'
`T` `caseWriteStructuralFeatureAction(WriteStructuralFeatureAction object)` Returns the result of interpreting the object as an instance of 'Write Structural Feature Action'
`T` `caseWriteVariableAction(WriteVariableAction object)` Returns the result of interpreting the object as an instance of 'Write Variable Action'
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
`protected T` `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected boolean` `isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)` Checks whether this is a switch for the given package

Methods inherited from class org.eclipse.emf.ecore.util.Switch
`doSwitch, doSwitch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static UMLPackage modelPackage

  The cached model package

Constructor Detail

### UMLSwitch

    public UMLSwitch()

  Creates an instance of the switch.

Method Detail

### isSwitchFor

    protected boolean isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)

  Checks whether this is a switch for the given package.

  Specified by:
    `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Returns:
    whether this is a switch for the given package.

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Overrides:
    `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseComment

    public T caseComment(Comment object)

  Returns the result of interpreting the object as an instance of 'Comment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Comment'.
  See Also:
    `doSwitch(EObject)`

### caseElement

    public T caseElement(Element object)

  Returns the result of interpreting the object as an instance of 'Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Element'.
  See Also:
    `doSwitch(EObject)`

### caseDirectedRelationship

    public T caseDirectedRelationship(DirectedRelationship object)

  Returns the result of interpreting the object as an instance of 'Directed Relationship'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Directed Relationship'.
  See Also:
    `doSwitch(EObject)`

### caseRelationship

    public T caseRelationship(Relationship object)

  Returns the result of interpreting the object as an instance of 'Relationship'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Relationship'.
  See Also:
    `doSwitch(EObject)`

### caseLiteralSpecification

    public T caseLiteralSpecification(LiteralSpecification object)

  Returns the result of interpreting the object as an instance of 'Literal Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Literal Specification'.
  See Also:
    `doSwitch(EObject)`

### caseValueSpecification

    public T caseValueSpecification(ValueSpecification object)

  Returns the result of interpreting the object as an instance of 'Value Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Value Specification'.
  See Also:
    `doSwitch(EObject)`

### caseTypedElement

    public T caseTypedElement(TypedElement object)

  Returns the result of interpreting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Typed Element'.
  See Also:
    `doSwitch(EObject)`

### caseNamedElement

    public T caseNamedElement(NamedElement object)

  Returns the result of interpreting the object as an instance of 'Named Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Named Element'.
  See Also:
    `doSwitch(EObject)`

### caseDependency

    public T caseDependency(Dependency object)

  Returns the result of interpreting the object as an instance of 'Dependency'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dependency'.
  See Also:
    `doSwitch(EObject)`

### casePackageableElement

    public T casePackageableElement(PackageableElement object)

  Returns the result of interpreting the object as an instance of 'Packageable Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Packageable Element'.
  See Also:
    `doSwitch(EObject)`

### caseParameterableElement

    public T caseParameterableElement(ParameterableElement object)

  Returns the result of interpreting the object as an instance of 'Parameterable Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameterable Element'.
  See Also:
    `doSwitch(EObject)`

### caseTemplateParameter

    public T caseTemplateParameter(TemplateParameter object)

  Returns the result of interpreting the object as an instance of 'Template Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Template Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseTemplateSignature

    public T caseTemplateSignature(TemplateSignature object)

  Returns the result of interpreting the object as an instance of 'Template Signature'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Template Signature'.
  See Also:
    `doSwitch(EObject)`

### caseTemplateableElement

    public T caseTemplateableElement(TemplateableElement object)

  Returns the result of interpreting the object as an instance of 'Templateable Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Templateable Element'.
  See Also:
    `doSwitch(EObject)`

### caseTemplateBinding

    public T caseTemplateBinding(TemplateBinding object)

  Returns the result of interpreting the object as an instance of 'Template Binding'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Template Binding'.
  See Also:
    `doSwitch(EObject)`

### caseTemplateParameterSubstitution

    public T caseTemplateParameterSubstitution(TemplateParameterSubstitution object)

  Returns the result of interpreting the object as an instance of 'Template Parameter Substitution'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Template Parameter Substitution'.
  See Also:
    `doSwitch(EObject)`

### caseNamespace

    public T caseNamespace(Namespace object)

  Returns the result of interpreting the object as an instance of 'Namespace'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Namespace'.
  See Also:
    `doSwitch(EObject)`

### caseElementImport

    public T caseElementImport(ElementImport object)

  Returns the result of interpreting the object as an instance of 'Element Import'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Element Import'.
  See Also:
    `doSwitch(EObject)`

### casePackageImport

    public T casePackageImport(PackageImport object)

  Returns the result of interpreting the object as an instance of 'Package Import'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Package Import'.
  See Also:
    `doSwitch(EObject)`

### casePackage

    public T casePackage(Package object)

  Returns the result of interpreting the object as an instance of 'Package'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Package'.
  See Also:
    `doSwitch(EObject)`

### casePackageMerge

    public T casePackageMerge(PackageMerge object)

  Returns the result of interpreting the object as an instance of 'Package Merge'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Package Merge'.
  See Also:
    `doSwitch(EObject)`

### caseType

    public T caseType(Type object)

  Returns the result of interpreting the object as an instance of 'Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Type'.
  See Also:
    `doSwitch(EObject)`

### caseProfileApplication

    public T caseProfileApplication(ProfileApplication object)

  Returns the result of interpreting the object as an instance of 'Profile Application'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Profile Application'.
  See Also:
    `doSwitch(EObject)`

### caseProfile

    public T caseProfile(Profile object)

  Returns the result of interpreting the object as an instance of 'Profile'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Profile'.
  See Also:
    `doSwitch(EObject)`

### caseStereotype

    public T caseStereotype(Stereotype object)

  Returns the result of interpreting the object as an instance of 'Stereotype'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Stereotype'.
  See Also:
    `doSwitch(EObject)`

### caseClass

    public T caseClass(Class object)

  Returns the result of interpreting the object as an instance of 'Class'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Class'.
  See Also:
    `doSwitch(EObject)`

### caseBehavioredClassifier

    public T caseBehavioredClassifier(BehavioredClassifier object)

  Returns the result of interpreting the object as an instance of 'Behaviored Classifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Behaviored Classifier'.
  See Also:
    `doSwitch(EObject)`

### caseClassifier

    public T caseClassifier(Classifier object)

  Returns the result of interpreting the object as an instance of 'Classifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Classifier'.
  See Also:
    `doSwitch(EObject)`

### caseRedefinableElement

    public T caseRedefinableElement(RedefinableElement object)

  Returns the result of interpreting the object as an instance of 'Redefinable Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Redefinable Element'.
  See Also:
    `doSwitch(EObject)`

### caseGeneralization

    public T caseGeneralization(Generalization object)

  Returns the result of interpreting the object as an instance of 'Generalization'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Generalization'.
  See Also:
    `doSwitch(EObject)`

### caseGeneralizationSet

    public T caseGeneralizationSet(GeneralizationSet object)

  Returns the result of interpreting the object as an instance of 'Generalization Set'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Generalization Set'.
  See Also:
    `doSwitch(EObject)`

### caseFeature

    public T caseFeature(Feature object)

  Returns the result of interpreting the object as an instance of 'Feature'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Feature'.
  See Also:
    `doSwitch(EObject)`

### caseUseCase

    public T caseUseCase(UseCase object)

  Returns the result of interpreting the object as an instance of 'Use Case'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Use Case'.
  See Also:
    `doSwitch(EObject)`

### caseInclude

    public T caseInclude(Include object)

  Returns the result of interpreting the object as an instance of 'Include'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Include'.
  See Also:
    `doSwitch(EObject)`

### caseExtend

    public T caseExtend(Extend object)

  Returns the result of interpreting the object as an instance of 'Extend'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Extend'.
  See Also:
    `doSwitch(EObject)`

### caseConstraint

    public T caseConstraint(Constraint object)

  Returns the result of interpreting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseExtensionPoint

    public T caseExtensionPoint(ExtensionPoint object)

  Returns the result of interpreting the object as an instance of 'Extension Point'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Extension Point'.
  See Also:
    `doSwitch(EObject)`

### caseSubstitution

    public T caseSubstitution(Substitution object)

  Returns the result of interpreting the object as an instance of 'Substitution'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Substitution'.
  See Also:
    `doSwitch(EObject)`

### caseRealization

    public T caseRealization(Realization object)

  Returns the result of interpreting the object as an instance of 'Realization'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Realization'.
  See Also:
    `doSwitch(EObject)`

### caseAbstraction

    public T caseAbstraction(Abstraction object)

  Returns the result of interpreting the object as an instance of 'Abstraction'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Abstraction'.
  See Also:
    `doSwitch(EObject)`

### caseOpaqueExpression

    public T caseOpaqueExpression(OpaqueExpression object)

  Returns the result of interpreting the object as an instance of 'Opaque Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Opaque Expression'.
  See Also:
    `doSwitch(EObject)`

### caseParameter

    public T caseParameter(Parameter object)

  Returns the result of interpreting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseMultiplicityElement

    public T caseMultiplicityElement(MultiplicityElement object)

  Returns the result of interpreting the object as an instance of 'Multiplicity Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Multiplicity Element'.
  See Also:
    `doSwitch(EObject)`

### caseConnectableElement

    public T caseConnectableElement(ConnectableElement object)

  Returns the result of interpreting the object as an instance of 'Connectable Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Connectable Element'.
  See Also:
    `doSwitch(EObject)`

### caseConnectorEnd

    public T caseConnectorEnd(ConnectorEnd object)

  Returns the result of interpreting the object as an instance of 'Connector End'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Connector End'.
  See Also:
    `doSwitch(EObject)`

### caseProperty

    public T caseProperty(Property object)

  Returns the result of interpreting the object as an instance of 'Property'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property'.
  See Also:
    `doSwitch(EObject)`

### caseDeploymentTarget

    public T caseDeploymentTarget(DeploymentTarget object)

  Returns the result of interpreting the object as an instance of 'Deployment Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Deployment Target'.
  See Also:
    `doSwitch(EObject)`

### caseDeployment

    public T caseDeployment(Deployment object)

  Returns the result of interpreting the object as an instance of 'Deployment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Deployment'.
  See Also:
    `doSwitch(EObject)`

### caseDeployedArtifact

    public T caseDeployedArtifact(DeployedArtifact object)

  Returns the result of interpreting the object as an instance of 'Deployed Artifact'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Deployed Artifact'.
  See Also:
    `doSwitch(EObject)`

### caseDeploymentSpecification

    public T caseDeploymentSpecification(DeploymentSpecification object)

  Returns the result of interpreting the object as an instance of 'Deployment Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Deployment Specification'.
  See Also:
    `doSwitch(EObject)`

### caseArtifact

    public T caseArtifact(Artifact object)

  Returns the result of interpreting the object as an instance of 'Artifact'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Artifact'.
  See Also:
    `doSwitch(EObject)`

### caseManifestation

    public T caseManifestation(Manifestation object)

  Returns the result of interpreting the object as an instance of 'Manifestation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Manifestation'.
  See Also:
    `doSwitch(EObject)`

### caseOperation

    public T caseOperation(Operation object)

  Returns the result of interpreting the object as an instance of 'Operation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Operation'.
  See Also:
    `doSwitch(EObject)`

### caseBehavioralFeature

    public T caseBehavioralFeature(BehavioralFeature object)

  Returns the result of interpreting the object as an instance of 'Behavioral Feature'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Behavioral Feature'.
  See Also:
    `doSwitch(EObject)`

### caseBehavior

    public T caseBehavior(Behavior object)

  Returns the result of interpreting the object as an instance of 'Behavior'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Behavior'.
  See Also:
    `doSwitch(EObject)`

### caseParameterSet

    public T caseParameterSet(ParameterSet object)

  Returns the result of interpreting the object as an instance of 'Parameter Set'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameter Set'.
  See Also:
    `doSwitch(EObject)`

### caseDataType

    public T caseDataType(DataType object)

  Returns the result of interpreting the object as an instance of 'Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseInterface

    public T caseInterface(Interface object)

  Returns the result of interpreting the object as an instance of 'Interface'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interface'.
  See Also:
    `doSwitch(EObject)`

### caseReception

    public T caseReception(Reception object)

  Returns the result of interpreting the object as an instance of 'Reception'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Reception'.
  See Also:
    `doSwitch(EObject)`

### caseSignal

    public T caseSignal(Signal object)

  Returns the result of interpreting the object as an instance of 'Signal'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Signal'.
  See Also:
    `doSwitch(EObject)`

### caseProtocolStateMachine

    public T caseProtocolStateMachine(ProtocolStateMachine object)

  Returns the result of interpreting the object as an instance of 'Protocol State Machine'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Protocol State Machine'.
  See Also:
    `doSwitch(EObject)`

### caseStateMachine

    public T caseStateMachine(StateMachine object)

  Returns the result of interpreting the object as an instance of 'State Machine'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'State Machine'.
  See Also:
    `doSwitch(EObject)`

### caseRegion

    public T caseRegion(Region object)

  Returns the result of interpreting the object as an instance of 'Region'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Region'.
  See Also:
    `doSwitch(EObject)`

### caseVertex

    public T caseVertex(Vertex object)

  Returns the result of interpreting the object as an instance of 'Vertex'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Vertex'.
  See Also:
    `doSwitch(EObject)`

### caseTransition

    public T caseTransition(Transition object)

  Returns the result of interpreting the object as an instance of 'Transition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Transition'.
  See Also:
    `doSwitch(EObject)`

### caseTrigger

    public T caseTrigger(Trigger object)

  Returns the result of interpreting the object as an instance of 'Trigger'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Trigger'.
  See Also:
    `doSwitch(EObject)`

### caseEvent

    public T caseEvent(Event object)

  Returns the result of interpreting the object as an instance of 'Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Event'.
  See Also:
    `doSwitch(EObject)`

### casePort

    public T casePort(Port object)

  Returns the result of interpreting the object as an instance of 'Port'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Port'.
  See Also:
    `doSwitch(EObject)`

### caseState

    public T caseState(State object)

  Returns the result of interpreting the object as an instance of 'State'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'State'.
  See Also:
    `doSwitch(EObject)`

### caseConnectionPointReference

    public T caseConnectionPointReference(ConnectionPointReference object)

  Returns the result of interpreting the object as an instance of 'Connection Point Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Connection Point Reference'.
  See Also:
    `doSwitch(EObject)`

### casePseudostate

    public T casePseudostate(Pseudostate object)

  Returns the result of interpreting the object as an instance of 'Pseudostate'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Pseudostate'.
  See Also:
    `doSwitch(EObject)`

### caseProtocolConformance

    public T caseProtocolConformance(ProtocolConformance object)

  Returns the result of interpreting the object as an instance of 'Protocol Conformance'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Protocol Conformance'.
  See Also:
    `doSwitch(EObject)`

### caseOperationTemplateParameter

    public T caseOperationTemplateParameter(OperationTemplateParameter object)

  Returns the result of interpreting the object as an instance of 'Operation Template Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Operation Template Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseStructuralFeature

    public T caseStructuralFeature(StructuralFeature object)

  Returns the result of interpreting the object as an instance of 'Structural Feature'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Structural Feature'.
  See Also:
    `doSwitch(EObject)`

### caseAssociation

    public T caseAssociation(Association object)

  Returns the result of interpreting the object as an instance of 'Association'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Association'.
  See Also:
    `doSwitch(EObject)`

### caseConnectableElementTemplateParameter

    public T caseConnectableElementTemplateParameter(ConnectableElementTemplateParameter object)

  Returns the result of interpreting the object as an instance of 'Connectable Element Template Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Connectable Element Template Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseCollaborationUse

    public T caseCollaborationUse(CollaborationUse object)

  Returns the result of interpreting the object as an instance of 'Collaboration Use'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Collaboration Use'.
  See Also:
    `doSwitch(EObject)`

### caseCollaboration

    public T caseCollaboration(Collaboration object)

  Returns the result of interpreting the object as an instance of 'Collaboration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Collaboration'.
  See Also:
    `doSwitch(EObject)`

### caseStructuredClassifier

    public T caseStructuredClassifier(StructuredClassifier object)

  Returns the result of interpreting the object as an instance of 'Structured Classifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Structured Classifier'.
  See Also:
    `doSwitch(EObject)`

### caseConnector

    public T caseConnector(Connector object)

  Returns the result of interpreting the object as an instance of 'Connector'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Connector'.
  See Also:
    `doSwitch(EObject)`

### caseRedefinableTemplateSignature

    public T caseRedefinableTemplateSignature(RedefinableTemplateSignature object)

  Returns the result of interpreting the object as an instance of 'Redefinable Template Signature'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Redefinable Template Signature'.
  See Also:
    `doSwitch(EObject)`

### caseClassifierTemplateParameter

    public T caseClassifierTemplateParameter(ClassifierTemplateParameter object)

  Returns the result of interpreting the object as an instance of 'Classifier Template Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Classifier Template Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseInterfaceRealization

    public T caseInterfaceRealization(InterfaceRealization object)

  Returns the result of interpreting the object as an instance of 'Interface Realization'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interface Realization'.
  See Also:
    `doSwitch(EObject)`

### caseEncapsulatedClassifier

    public T caseEncapsulatedClassifier(EncapsulatedClassifier object)

  Returns the result of interpreting the object as an instance of 'Encapsulated Classifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Encapsulated Classifier'.
  See Also:
    `doSwitch(EObject)`

### caseExtension

    public T caseExtension(Extension object)

  Returns the result of interpreting the object as an instance of 'Extension'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Extension'.
  See Also:
    `doSwitch(EObject)`

### caseExtensionEnd

    public T caseExtensionEnd(ExtensionEnd object)

  Returns the result of interpreting the object as an instance of 'Extension End'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Extension End'.
  See Also:
    `doSwitch(EObject)`

### caseImage

    public T caseImage(Image object)

  Returns the result of interpreting the object as an instance of 'Image'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Image'.
  See Also:
    `doSwitch(EObject)`

### caseStringExpression

    public T caseStringExpression(StringExpression object)

  Returns the result of interpreting the object as an instance of 'String Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'String Expression'.
  See Also:
    `doSwitch(EObject)`

### caseExpression

    public T caseExpression(Expression object)

  Returns the result of interpreting the object as an instance of 'Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Expression'.
  See Also:
    `doSwitch(EObject)`

### caseLiteralInteger

    public T caseLiteralInteger(LiteralInteger object)

  Returns the result of interpreting the object as an instance of 'Literal Integer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Literal Integer'.
  See Also:
    `doSwitch(EObject)`

### caseLiteralString

    public T caseLiteralString(LiteralString object)

  Returns the result of interpreting the object as an instance of 'Literal String'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Literal String'.
  See Also:
    `doSwitch(EObject)`

### caseLiteralBoolean

    public T caseLiteralBoolean(LiteralBoolean object)

  Returns the result of interpreting the object as an instance of 'Literal Boolean'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Literal Boolean'.
  See Also:
    `doSwitch(EObject)`

### caseLiteralNull

    public T caseLiteralNull(LiteralNull object)

  Returns the result of interpreting the object as an instance of 'Literal Null'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Literal Null'.
  See Also:
    `doSwitch(EObject)`

### caseSlot

    public T caseSlot(Slot object)

  Returns the result of interpreting the object as an instance of 'Slot'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Slot'.
  See Also:
    `doSwitch(EObject)`

### caseInstanceSpecification

    public T caseInstanceSpecification(InstanceSpecification object)

  Returns the result of interpreting the object as an instance of 'Instance Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Instance Specification'.
  See Also:
    `doSwitch(EObject)`

### caseEnumeration

    public T caseEnumeration(Enumeration object)

  Returns the result of interpreting the object as an instance of 'Enumeration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Enumeration'.
  See Also:
    `doSwitch(EObject)`

### caseEnumerationLiteral

    public T caseEnumerationLiteral(EnumerationLiteral object)

  Returns the result of interpreting the object as an instance of 'Enumeration Literal'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Enumeration Literal'.
  See Also:
    `doSwitch(EObject)`

### casePrimitiveType

    public T casePrimitiveType(PrimitiveType object)

  Returns the result of interpreting the object as an instance of 'Primitive Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Primitive Type'.
  See Also:
    `doSwitch(EObject)`

### caseInstanceValue

    public T caseInstanceValue(InstanceValue object)

  Returns the result of interpreting the object as an instance of 'Instance Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Instance Value'.
  See Also:
    `doSwitch(EObject)`

### caseLiteralUnlimitedNatural

    public T caseLiteralUnlimitedNatural(LiteralUnlimitedNatural object)

  Returns the result of interpreting the object as an instance of 'Literal Unlimited Natural'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Literal Unlimited Natural'.
  See Also:
    `doSwitch(EObject)`

### caseOpaqueBehavior

    public T caseOpaqueBehavior(OpaqueBehavior object)

  Returns the result of interpreting the object as an instance of 'Opaque Behavior'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Opaque Behavior'.
  See Also:
    `doSwitch(EObject)`

### caseFunctionBehavior

    public T caseFunctionBehavior(FunctionBehavior object)

  Returns the result of interpreting the object as an instance of 'Function Behavior'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Function Behavior'.
  See Also:
    `doSwitch(EObject)`

### caseActor

    public T caseActor(Actor object)

  Returns the result of interpreting the object as an instance of 'Actor'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Actor'.
  See Also:
    `doSwitch(EObject)`

### caseUsage

    public T caseUsage(Usage object)

  Returns the result of interpreting the object as an instance of 'Usage'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Usage'.
  See Also:
    `doSwitch(EObject)`

### caseMessage

    public T caseMessage(Message object)

  Returns the result of interpreting the object as an instance of 'Message'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Message'.
  See Also:
    `doSwitch(EObject)`

### caseMessageEnd

    public T caseMessageEnd(MessageEnd object)

  Returns the result of interpreting the object as an instance of 'Message End'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Message End'.
  See Also:
    `doSwitch(EObject)`

### caseInteraction

    public T caseInteraction(Interaction object)

  Returns the result of interpreting the object as an instance of 'Interaction'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interaction'.
  See Also:
    `doSwitch(EObject)`

### caseInteractionFragment

    public T caseInteractionFragment(InteractionFragment object)

  Returns the result of interpreting the object as an instance of 'Interaction Fragment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interaction Fragment'.
  See Also:
    `doSwitch(EObject)`

### caseLifeline

    public T caseLifeline(Lifeline object)

  Returns the result of interpreting the object as an instance of 'Lifeline'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Lifeline'.
  See Also:
    `doSwitch(EObject)`

### casePartDecomposition

    public T casePartDecomposition(PartDecomposition object)

  Returns the result of interpreting the object as an instance of 'Part Decomposition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Part Decomposition'.
  See Also:
    `doSwitch(EObject)`

### caseInteractionUse

    public T caseInteractionUse(InteractionUse object)

  Returns the result of interpreting the object as an instance of 'Interaction Use'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interaction Use'.
  See Also:
    `doSwitch(EObject)`

### caseGate

    public T caseGate(Gate object)

  Returns the result of interpreting the object as an instance of 'Gate'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Gate'.
  See Also:
    `doSwitch(EObject)`

### caseAction

    public T caseAction(Action object)

  Returns the result of interpreting the object as an instance of 'Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Action'.
  See Also:
    `doSwitch(EObject)`

### caseExecutableNode

    public T caseExecutableNode(ExecutableNode object)

  Returns the result of interpreting the object as an instance of 'Executable Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Executable Node'.
  See Also:
    `doSwitch(EObject)`

### caseActivityNode

    public T caseActivityNode(ActivityNode object)

  Returns the result of interpreting the object as an instance of 'Activity Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Activity Node'.
  See Also:
    `doSwitch(EObject)`

### caseActivityEdge

    public T caseActivityEdge(ActivityEdge object)

  Returns the result of interpreting the object as an instance of 'Activity Edge'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Activity Edge'.
  See Also:
    `doSwitch(EObject)`

### caseActivity

    public T caseActivity(Activity object)

  Returns the result of interpreting the object as an instance of 'Activity'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Activity'.
  See Also:
    `doSwitch(EObject)`

### caseActivityPartition

    public T caseActivityPartition(ActivityPartition object)

  Returns the result of interpreting the object as an instance of 'Activity Partition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Activity Partition'.
  See Also:
    `doSwitch(EObject)`

### caseActivityGroup

    public T caseActivityGroup(ActivityGroup object)

  Returns the result of interpreting the object as an instance of 'Activity Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Activity Group'.
  See Also:
    `doSwitch(EObject)`

### caseStructuredActivityNode

    public T caseStructuredActivityNode(StructuredActivityNode object)

  Returns the result of interpreting the object as an instance of 'Structured Activity Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Structured Activity Node'.
  See Also:
    `doSwitch(EObject)`

### caseVariable

    public T caseVariable(Variable object)

  Returns the result of interpreting the object as an instance of 'Variable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Variable'.
  See Also:
    `doSwitch(EObject)`

### caseInterruptibleActivityRegion

    public T caseInterruptibleActivityRegion(InterruptibleActivityRegion object)

  Returns the result of interpreting the object as an instance of 'Interruptible Activity Region'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interruptible Activity Region'.
  See Also:
    `doSwitch(EObject)`

### caseExceptionHandler

    public T caseExceptionHandler(ExceptionHandler object)

  Returns the result of interpreting the object as an instance of 'Exception Handler'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Exception Handler'.
  See Also:
    `doSwitch(EObject)`

### caseObjectNode

    public T caseObjectNode(ObjectNode object)

  Returns the result of interpreting the object as an instance of 'Object Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Object Node'.
  See Also:
    `doSwitch(EObject)`

### caseOutputPin

    public T caseOutputPin(OutputPin object)

  Returns the result of interpreting the object as an instance of 'Output Pin'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Output Pin'.
  See Also:
    `doSwitch(EObject)`

### casePin

    public T casePin(Pin object)

  Returns the result of interpreting the object as an instance of 'Pin'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Pin'.
  See Also:
    `doSwitch(EObject)`

### caseInputPin

    public T caseInputPin(InputPin object)

  Returns the result of interpreting the object as an instance of 'Input Pin'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Input Pin'.
  See Also:
    `doSwitch(EObject)`

### caseGeneralOrdering

    public T caseGeneralOrdering(GeneralOrdering object)

  Returns the result of interpreting the object as an instance of 'General Ordering'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'General Ordering'.
  See Also:
    `doSwitch(EObject)`

### caseOccurrenceSpecification

    public T caseOccurrenceSpecification(OccurrenceSpecification object)

  Returns the result of interpreting the object as an instance of 'Occurrence Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Occurrence Specification'.
  See Also:
    `doSwitch(EObject)`

### caseInteractionOperand

    public T caseInteractionOperand(InteractionOperand object)

  Returns the result of interpreting the object as an instance of 'Interaction Operand'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interaction Operand'.
  See Also:
    `doSwitch(EObject)`

### caseInteractionConstraint

    public T caseInteractionConstraint(InteractionConstraint object)

  Returns the result of interpreting the object as an instance of 'Interaction Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interaction Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseExecutionSpecification

    public T caseExecutionSpecification(ExecutionSpecification object)

  Returns the result of interpreting the object as an instance of 'Execution Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Execution Specification'.
  See Also:
    `doSwitch(EObject)`

### caseExecutionOccurrenceSpecification

    public T caseExecutionOccurrenceSpecification(ExecutionOccurrenceSpecification object)

  Returns the result of interpreting the object as an instance of 'Execution Occurrence Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Execution Occurrence Specification'.
  See Also:
    `doSwitch(EObject)`

### caseExecutionEvent

    public T caseExecutionEvent(ExecutionEvent object)

  Returns the result of interpreting the object as an instance of 'Execution Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Execution Event'.
  See Also:
    `doSwitch(EObject)`

### caseStateInvariant

    public T caseStateInvariant(StateInvariant object)

  Returns the result of interpreting the object as an instance of 'State Invariant'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'State Invariant'.
  See Also:
    `doSwitch(EObject)`

### caseActionExecutionSpecification

    public T caseActionExecutionSpecification(ActionExecutionSpecification object)

  Returns the result of interpreting the object as an instance of 'Action Execution Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Action Execution Specification'.
  See Also:
    `doSwitch(EObject)`

### caseBehaviorExecutionSpecification

    public T caseBehaviorExecutionSpecification(BehaviorExecutionSpecification object)

  Returns the result of interpreting the object as an instance of 'Behavior Execution Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Behavior Execution Specification'.
  See Also:
    `doSwitch(EObject)`

### caseCreationEvent

    public T caseCreationEvent(CreationEvent object)

  Returns the result of interpreting the object as an instance of 'Creation Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Creation Event'.
  See Also:
    `doSwitch(EObject)`

### caseDestructionEvent

    public T caseDestructionEvent(DestructionEvent object)

  Returns the result of interpreting the object as an instance of 'Destruction Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Destruction Event'.
  See Also:
    `doSwitch(EObject)`

### caseSendOperationEvent

    public T caseSendOperationEvent(SendOperationEvent object)

  Returns the result of interpreting the object as an instance of 'Send Operation Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Send Operation Event'.
  See Also:
    `doSwitch(EObject)`

### caseMessageEvent

    public T caseMessageEvent(MessageEvent object)

  Returns the result of interpreting the object as an instance of 'Message Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Message Event'.
  See Also:
    `doSwitch(EObject)`

### caseSendSignalEvent

    public T caseSendSignalEvent(SendSignalEvent object)

  Returns the result of interpreting the object as an instance of 'Send Signal Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Send Signal Event'.
  See Also:
    `doSwitch(EObject)`

### caseMessageOccurrenceSpecification

    public T caseMessageOccurrenceSpecification(MessageOccurrenceSpecification object)

  Returns the result of interpreting the object as an instance of 'Message Occurrence Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Message Occurrence Specification'.
  See Also:
    `doSwitch(EObject)`

### caseReceiveOperationEvent

    public T caseReceiveOperationEvent(ReceiveOperationEvent object)

  Returns the result of interpreting the object as an instance of 'Receive Operation Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Receive Operation Event'.
  See Also:
    `doSwitch(EObject)`

### caseReceiveSignalEvent

    public T caseReceiveSignalEvent(ReceiveSignalEvent object)

  Returns the result of interpreting the object as an instance of 'Receive Signal Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Receive Signal Event'.
  See Also:
    `doSwitch(EObject)`

### caseCombinedFragment

    public T caseCombinedFragment(CombinedFragment object)

  Returns the result of interpreting the object as an instance of 'Combined Fragment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Combined Fragment'.
  See Also:
    `doSwitch(EObject)`

### caseContinuation

    public T caseContinuation(Continuation object)

  Returns the result of interpreting the object as an instance of 'Continuation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Continuation'.
  See Also:
    `doSwitch(EObject)`

### caseConsiderIgnoreFragment

    public T caseConsiderIgnoreFragment(ConsiderIgnoreFragment object)

  Returns the result of interpreting the object as an instance of 'Consider Ignore Fragment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Consider Ignore Fragment'.
  See Also:
    `doSwitch(EObject)`

### caseCallEvent

    public T caseCallEvent(CallEvent object)

  Returns the result of interpreting the object as an instance of 'Call Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Call Event'.
  See Also:
    `doSwitch(EObject)`

### caseChangeEvent

    public T caseChangeEvent(ChangeEvent object)

  Returns the result of interpreting the object as an instance of 'Change Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Change Event'.
  See Also:
    `doSwitch(EObject)`

### caseSignalEvent

    public T caseSignalEvent(SignalEvent object)

  Returns the result of interpreting the object as an instance of 'Signal Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Signal Event'.
  See Also:
    `doSwitch(EObject)`

### caseAnyReceiveEvent

    public T caseAnyReceiveEvent(AnyReceiveEvent object)

  Returns the result of interpreting the object as an instance of 'Any Receive Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Any Receive Event'.
  See Also:
    `doSwitch(EObject)`

### caseCreateObjectAction

    public T caseCreateObjectAction(CreateObjectAction object)

  Returns the result of interpreting the object as an instance of 'Create Object Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Create Object Action'.
  See Also:
    `doSwitch(EObject)`

### caseDestroyObjectAction

    public T caseDestroyObjectAction(DestroyObjectAction object)

  Returns the result of interpreting the object as an instance of 'Destroy Object Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Destroy Object Action'.
  See Also:
    `doSwitch(EObject)`

### caseTestIdentityAction

    public T caseTestIdentityAction(TestIdentityAction object)

  Returns the result of interpreting the object as an instance of 'Test Identity Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Test Identity Action'.
  See Also:
    `doSwitch(EObject)`

### caseReadSelfAction

    public T caseReadSelfAction(ReadSelfAction object)

  Returns the result of interpreting the object as an instance of 'Read Self Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Read Self Action'.
  See Also:
    `doSwitch(EObject)`

### caseStructuralFeatureAction

    public T caseStructuralFeatureAction(StructuralFeatureAction object)

  Returns the result of interpreting the object as an instance of 'Structural Feature Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Structural Feature Action'.
  See Also:
    `doSwitch(EObject)`

### caseReadStructuralFeatureAction

    public T caseReadStructuralFeatureAction(ReadStructuralFeatureAction object)

  Returns the result of interpreting the object as an instance of 'Read Structural Feature Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Read Structural Feature Action'.
  See Also:
    `doSwitch(EObject)`

### caseWriteStructuralFeatureAction

    public T caseWriteStructuralFeatureAction(WriteStructuralFeatureAction object)

  Returns the result of interpreting the object as an instance of 'Write Structural Feature Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Write Structural Feature Action'.
  See Also:
    `doSwitch(EObject)`

### caseClearStructuralFeatureAction

    public T caseClearStructuralFeatureAction(ClearStructuralFeatureAction object)

  Returns the result of interpreting the object as an instance of 'Clear Structural Feature Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Clear Structural Feature Action'.
  See Also:
    `doSwitch(EObject)`

### caseRemoveStructuralFeatureValueAction

    public T caseRemoveStructuralFeatureValueAction(RemoveStructuralFeatureValueAction object)

  Returns the result of interpreting the object as an instance of 'Remove Structural Feature Value Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Remove Structural Feature Value Action'.
  See Also:
    `doSwitch(EObject)`

### caseAddStructuralFeatureValueAction

    public T caseAddStructuralFeatureValueAction(AddStructuralFeatureValueAction object)

  Returns the result of interpreting the object as an instance of 'Add Structural Feature Value Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Add Structural Feature Value Action'.
  See Also:
    `doSwitch(EObject)`

### caseLinkAction

    public T caseLinkAction(LinkAction object)

  Returns the result of interpreting the object as an instance of 'Link Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Link Action'.
  See Also:
    `doSwitch(EObject)`

### caseLinkEndData

    public T caseLinkEndData(LinkEndData object)

  Returns the result of interpreting the object as an instance of 'Link End Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Link End Data'.
  See Also:
    `doSwitch(EObject)`

### caseQualifierValue

    public T caseQualifierValue(QualifierValue object)

  Returns the result of interpreting the object as an instance of 'Qualifier Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Qualifier Value'.
  See Also:
    `doSwitch(EObject)`

### caseReadLinkAction

    public T caseReadLinkAction(ReadLinkAction object)

  Returns the result of interpreting the object as an instance of 'Read Link Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Read Link Action'.
  See Also:
    `doSwitch(EObject)`

### caseLinkEndCreationData

    public T caseLinkEndCreationData(LinkEndCreationData object)

  Returns the result of interpreting the object as an instance of 'Link End Creation Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Link End Creation Data'.
  See Also:
    `doSwitch(EObject)`

### caseCreateLinkAction

    public T caseCreateLinkAction(CreateLinkAction object)

  Returns the result of interpreting the object as an instance of 'Create Link Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Create Link Action'.
  See Also:
    `doSwitch(EObject)`

### caseWriteLinkAction

    public T caseWriteLinkAction(WriteLinkAction object)

  Returns the result of interpreting the object as an instance of 'Write Link Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Write Link Action'.
  See Also:
    `doSwitch(EObject)`

### caseDestroyLinkAction

    public T caseDestroyLinkAction(DestroyLinkAction object)

  Returns the result of interpreting the object as an instance of 'Destroy Link Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Destroy Link Action'.
  See Also:
    `doSwitch(EObject)`

### caseLinkEndDestructionData

    public T caseLinkEndDestructionData(LinkEndDestructionData object)

  Returns the result of interpreting the object as an instance of 'Link End Destruction Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Link End Destruction Data'.
  See Also:
    `doSwitch(EObject)`

### caseClearAssociationAction

    public T caseClearAssociationAction(ClearAssociationAction object)

  Returns the result of interpreting the object as an instance of 'Clear Association Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Clear Association Action'.
  See Also:
    `doSwitch(EObject)`

### caseBroadcastSignalAction

    public T caseBroadcastSignalAction(BroadcastSignalAction object)

  Returns the result of interpreting the object as an instance of 'Broadcast Signal Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Broadcast Signal Action'.
  See Also:
    `doSwitch(EObject)`

### caseInvocationAction

    public T caseInvocationAction(InvocationAction object)

  Returns the result of interpreting the object as an instance of 'Invocation Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Invocation Action'.
  See Also:
    `doSwitch(EObject)`

### caseSendObjectAction

    public T caseSendObjectAction(SendObjectAction object)

  Returns the result of interpreting the object as an instance of 'Send Object Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Send Object Action'.
  See Also:
    `doSwitch(EObject)`

### caseValueSpecificationAction

    public T caseValueSpecificationAction(ValueSpecificationAction object)

  Returns the result of interpreting the object as an instance of 'Value Specification Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Value Specification Action'.
  See Also:
    `doSwitch(EObject)`

### caseTimeExpression

    public T caseTimeExpression(TimeExpression object)

  Returns the result of interpreting the object as an instance of 'Time Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Time Expression'.
  See Also:
    `doSwitch(EObject)`

### caseObservation

    public T caseObservation(Observation object)

  Returns the result of interpreting the object as an instance of 'Observation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Observation'.
  See Also:
    `doSwitch(EObject)`

### caseDuration

    public T caseDuration(Duration object)

  Returns the result of interpreting the object as an instance of 'Duration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Duration'.
  See Also:
    `doSwitch(EObject)`

### caseValuePin

    public T caseValuePin(ValuePin object)

  Returns the result of interpreting the object as an instance of 'Value Pin'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Value Pin'.
  See Also:
    `doSwitch(EObject)`

### caseDurationInterval

    public T caseDurationInterval(DurationInterval object)

  Returns the result of interpreting the object as an instance of 'Duration Interval'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Duration Interval'.
  See Also:
    `doSwitch(EObject)`

### caseInterval

    public T caseInterval(Interval object)

  Returns the result of interpreting the object as an instance of 'Interval'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interval'.
  See Also:
    `doSwitch(EObject)`

### caseTimeConstraint

    public T caseTimeConstraint(TimeConstraint object)

  Returns the result of interpreting the object as an instance of 'Time Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Time Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseIntervalConstraint

    public T caseIntervalConstraint(IntervalConstraint object)

  Returns the result of interpreting the object as an instance of 'Interval Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interval Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseTimeInterval

    public T caseTimeInterval(TimeInterval object)

  Returns the result of interpreting the object as an instance of 'Time Interval'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Time Interval'.
  See Also:
    `doSwitch(EObject)`

### caseDurationConstraint

    public T caseDurationConstraint(DurationConstraint object)

  Returns the result of interpreting the object as an instance of 'Duration Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Duration Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseTimeObservation

    public T caseTimeObservation(TimeObservation object)

  Returns the result of interpreting the object as an instance of 'Time Observation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Time Observation'.
  See Also:
    `doSwitch(EObject)`

### caseDurationObservation

    public T caseDurationObservation(DurationObservation object)

  Returns the result of interpreting the object as an instance of 'Duration Observation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Duration Observation'.
  See Also:
    `doSwitch(EObject)`

### caseOpaqueAction

    public T caseOpaqueAction(OpaqueAction object)

  Returns the result of interpreting the object as an instance of 'Opaque Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Opaque Action'.
  See Also:
    `doSwitch(EObject)`

### caseCallAction

    public T caseCallAction(CallAction object)

  Returns the result of interpreting the object as an instance of 'Call Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Call Action'.
  See Also:
    `doSwitch(EObject)`

### caseSendSignalAction

    public T caseSendSignalAction(SendSignalAction object)

  Returns the result of interpreting the object as an instance of 'Send Signal Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Send Signal Action'.
  See Also:
    `doSwitch(EObject)`

### caseCallOperationAction

    public T caseCallOperationAction(CallOperationAction object)

  Returns the result of interpreting the object as an instance of 'Call Operation Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Call Operation Action'.
  See Also:
    `doSwitch(EObject)`

### caseCallBehaviorAction

    public T caseCallBehaviorAction(CallBehaviorAction object)

  Returns the result of interpreting the object as an instance of 'Call Behavior Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Call Behavior Action'.
  See Also:
    `doSwitch(EObject)`

### caseInformationItem

    public T caseInformationItem(InformationItem object)

  Returns the result of interpreting the object as an instance of 'Information Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Information Item'.
  See Also:
    `doSwitch(EObject)`

### caseInformationFlow

    public T caseInformationFlow(InformationFlow object)

  Returns the result of interpreting the object as an instance of 'Information Flow'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Information Flow'.
  See Also:
    `doSwitch(EObject)`

### caseModel

    public T caseModel(Model object)

  Returns the result of interpreting the object as an instance of 'Model'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Model'.
  See Also:
    `doSwitch(EObject)`

### caseVariableAction

    public T caseVariableAction(VariableAction object)

  Returns the result of interpreting the object as an instance of 'Variable Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Variable Action'.
  See Also:
    `doSwitch(EObject)`

### caseReadVariableAction

    public T caseReadVariableAction(ReadVariableAction object)

  Returns the result of interpreting the object as an instance of 'Read Variable Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Read Variable Action'.
  See Also:
    `doSwitch(EObject)`

### caseWriteVariableAction

    public T caseWriteVariableAction(WriteVariableAction object)

  Returns the result of interpreting the object as an instance of 'Write Variable Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Write Variable Action'.
  See Also:
    `doSwitch(EObject)`

### caseClearVariableAction

    public T caseClearVariableAction(ClearVariableAction object)

  Returns the result of interpreting the object as an instance of 'Clear Variable Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Clear Variable Action'.
  See Also:
    `doSwitch(EObject)`

### caseAddVariableValueAction

    public T caseAddVariableValueAction(AddVariableValueAction object)

  Returns the result of interpreting the object as an instance of 'Add Variable Value Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Add Variable Value Action'.
  See Also:
    `doSwitch(EObject)`

### caseRemoveVariableValueAction

    public T caseRemoveVariableValueAction(RemoveVariableValueAction object)

  Returns the result of interpreting the object as an instance of 'Remove Variable Value Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Remove Variable Value Action'.
  See Also:
    `doSwitch(EObject)`

### caseRaiseExceptionAction

    public T caseRaiseExceptionAction(RaiseExceptionAction object)

  Returns the result of interpreting the object as an instance of 'Raise Exception Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Raise Exception Action'.
  See Also:
    `doSwitch(EObject)`

### caseActionInputPin

    public T caseActionInputPin(ActionInputPin object)

  Returns the result of interpreting the object as an instance of 'Action Input Pin'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Action Input Pin'.
  See Also:
    `doSwitch(EObject)`

### caseReadExtentAction

    public T caseReadExtentAction(ReadExtentAction object)

  Returns the result of interpreting the object as an instance of 'Read Extent Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Read Extent Action'.
  See Also:
    `doSwitch(EObject)`

### caseReclassifyObjectAction

    public T caseReclassifyObjectAction(ReclassifyObjectAction object)

  Returns the result of interpreting the object as an instance of 'Reclassify Object Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Reclassify Object Action'.
  See Also:
    `doSwitch(EObject)`

### caseReadIsClassifiedObjectAction

    public T caseReadIsClassifiedObjectAction(ReadIsClassifiedObjectAction object)

  Returns the result of interpreting the object as an instance of 'Read Is Classified Object Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Read Is Classified Object Action'.
  See Also:
    `doSwitch(EObject)`

### caseStartClassifierBehaviorAction

    public T caseStartClassifierBehaviorAction(StartClassifierBehaviorAction object)

  Returns the result of interpreting the object as an instance of 'Start Classifier Behavior Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Start Classifier Behavior Action'.
  See Also:
    `doSwitch(EObject)`

### caseReadLinkObjectEndAction

    public T caseReadLinkObjectEndAction(ReadLinkObjectEndAction object)

  Returns the result of interpreting the object as an instance of 'Read Link Object End Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Read Link Object End Action'.
  See Also:
    `doSwitch(EObject)`

### caseReadLinkObjectEndQualifierAction

    public T caseReadLinkObjectEndQualifierAction(ReadLinkObjectEndQualifierAction object)

  Returns the result of interpreting the object as an instance of 'Read Link Object End Qualifier Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Read Link Object End Qualifier Action'.
  See Also:
    `doSwitch(EObject)`

### caseCreateLinkObjectAction

    public T caseCreateLinkObjectAction(CreateLinkObjectAction object)

  Returns the result of interpreting the object as an instance of 'Create Link Object Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Create Link Object Action'.
  See Also:
    `doSwitch(EObject)`

### caseAcceptEventAction

    public T caseAcceptEventAction(AcceptEventAction object)

  Returns the result of interpreting the object as an instance of 'Accept Event Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Accept Event Action'.
  See Also:
    `doSwitch(EObject)`

### caseAcceptCallAction

    public T caseAcceptCallAction(AcceptCallAction object)

  Returns the result of interpreting the object as an instance of 'Accept Call Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Accept Call Action'.
  See Also:
    `doSwitch(EObject)`

### caseReplyAction

    public T caseReplyAction(ReplyAction object)

  Returns the result of interpreting the object as an instance of 'Reply Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Reply Action'.
  See Also:
    `doSwitch(EObject)`

### caseUnmarshallAction

    public T caseUnmarshallAction(UnmarshallAction object)

  Returns the result of interpreting the object as an instance of 'Unmarshall Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Unmarshall Action'.
  See Also:
    `doSwitch(EObject)`

### caseReduceAction

    public T caseReduceAction(ReduceAction object)

  Returns the result of interpreting the object as an instance of 'Reduce Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Reduce Action'.
  See Also:
    `doSwitch(EObject)`

### caseStartObjectBehaviorAction

    public T caseStartObjectBehaviorAction(StartObjectBehaviorAction object)

  Returns the result of interpreting the object as an instance of 'Start Object Behavior Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Start Object Behavior Action'.
  See Also:
    `doSwitch(EObject)`

### caseControlNode

    public T caseControlNode(ControlNode object)

  Returns the result of interpreting the object as an instance of 'Control Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Control Node'.
  See Also:
    `doSwitch(EObject)`

### caseControlFlow

    public T caseControlFlow(ControlFlow object)

  Returns the result of interpreting the object as an instance of 'Control Flow'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Control Flow'.
  See Also:
    `doSwitch(EObject)`

### caseInitialNode

    public T caseInitialNode(InitialNode object)

  Returns the result of interpreting the object as an instance of 'Initial Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Initial Node'.
  See Also:
    `doSwitch(EObject)`

### caseActivityParameterNode

    public T caseActivityParameterNode(ActivityParameterNode object)

  Returns the result of interpreting the object as an instance of 'Activity Parameter Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Activity Parameter Node'.
  See Also:
    `doSwitch(EObject)`

### caseForkNode

    public T caseForkNode(ForkNode object)

  Returns the result of interpreting the object as an instance of 'Fork Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Fork Node'.
  See Also:
    `doSwitch(EObject)`

### caseFlowFinalNode

    public T caseFlowFinalNode(FlowFinalNode object)

  Returns the result of interpreting the object as an instance of 'Flow Final Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Flow Final Node'.
  See Also:
    `doSwitch(EObject)`

### caseFinalNode

    public T caseFinalNode(FinalNode object)

  Returns the result of interpreting the object as an instance of 'Final Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Final Node'.
  See Also:
    `doSwitch(EObject)`

### caseCentralBufferNode

    public T caseCentralBufferNode(CentralBufferNode object)

  Returns the result of interpreting the object as an instance of 'Central Buffer Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Central Buffer Node'.
  See Also:
    `doSwitch(EObject)`

### caseMergeNode

    public T caseMergeNode(MergeNode object)

  Returns the result of interpreting the object as an instance of 'Merge Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Merge Node'.
  See Also:
    `doSwitch(EObject)`

### caseDecisionNode

    public T caseDecisionNode(DecisionNode object)

  Returns the result of interpreting the object as an instance of 'Decision Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Decision Node'.
  See Also:
    `doSwitch(EObject)`

### caseActivityFinalNode

    public T caseActivityFinalNode(ActivityFinalNode object)

  Returns the result of interpreting the object as an instance of 'Activity Final Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Activity Final Node'.
  See Also:
    `doSwitch(EObject)`

### caseJoinNode

    public T caseJoinNode(JoinNode object)

  Returns the result of interpreting the object as an instance of 'Join Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Join Node'.
  See Also:
    `doSwitch(EObject)`

### caseDataStoreNode

    public T caseDataStoreNode(DataStoreNode object)

  Returns the result of interpreting the object as an instance of 'Data Store Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Store Node'.
  See Also:
    `doSwitch(EObject)`

### caseObjectFlow

    public T caseObjectFlow(ObjectFlow object)

  Returns the result of interpreting the object as an instance of 'Object Flow'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Object Flow'.
  See Also:
    `doSwitch(EObject)`

### caseSequenceNode

    public T caseSequenceNode(SequenceNode object)

  Returns the result of interpreting the object as an instance of 'Sequence Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sequence Node'.
  See Also:
    `doSwitch(EObject)`

### caseConditionalNode

    public T caseConditionalNode(ConditionalNode object)

  Returns the result of interpreting the object as an instance of 'Conditional Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Conditional Node'.
  See Also:
    `doSwitch(EObject)`

### caseClause

    public T caseClause(Clause object)

  Returns the result of interpreting the object as an instance of 'Clause'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Clause'.
  See Also:
    `doSwitch(EObject)`

### caseLoopNode

    public T caseLoopNode(LoopNode object)

  Returns the result of interpreting the object as an instance of 'Loop Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Loop Node'.
  See Also:
    `doSwitch(EObject)`

### caseExpansionNode

    public T caseExpansionNode(ExpansionNode object)

  Returns the result of interpreting the object as an instance of 'Expansion Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Expansion Node'.
  See Also:
    `doSwitch(EObject)`

### caseExpansionRegion

    public T caseExpansionRegion(ExpansionRegion object)

  Returns the result of interpreting the object as an instance of 'Expansion Region'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Expansion Region'.
  See Also:
    `doSwitch(EObject)`

### caseComponentRealization

    public T caseComponentRealization(ComponentRealization object)

  Returns the result of interpreting the object as an instance of 'Component Realization'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Component Realization'.
  See Also:
    `doSwitch(EObject)`

### caseComponent

    public T caseComponent(Component object)

  Returns the result of interpreting the object as an instance of 'Component'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Component'.
  See Also:
    `doSwitch(EObject)`

### caseNode

    public T caseNode(Node object)

  Returns the result of interpreting the object as an instance of 'Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Node'.
  See Also:
    `doSwitch(EObject)`

### caseDevice

    public T caseDevice(Device object)

  Returns the result of interpreting the object as an instance of 'Device'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Device'.
  See Also:
    `doSwitch(EObject)`

### caseExecutionEnvironment

    public T caseExecutionEnvironment(ExecutionEnvironment object)

  Returns the result of interpreting the object as an instance of 'Execution Environment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Execution Environment'.
  See Also:
    `doSwitch(EObject)`

### caseCommunicationPath

    public T caseCommunicationPath(CommunicationPath object)

  Returns the result of interpreting the object as an instance of 'Communication Path'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Communication Path'.
  See Also:
    `doSwitch(EObject)`

### caseFinalState

    public T caseFinalState(FinalState object)

  Returns the result of interpreting the object as an instance of 'Final State'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Final State'.
  See Also:
    `doSwitch(EObject)`

### caseTimeEvent

    public T caseTimeEvent(TimeEvent object)

  Returns the result of interpreting the object as an instance of 'Time Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Time Event'.
  See Also:
    `doSwitch(EObject)`

### caseProtocolTransition

    public T caseProtocolTransition(ProtocolTransition object)

  Returns the result of interpreting the object as an instance of 'Protocol Transition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Protocol Transition'.
  See Also:
    `doSwitch(EObject)`

### caseAssociationClass

    public T caseAssociationClass(AssociationClass object)

  Returns the result of interpreting the object as an instance of 'Association Class'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Association Class'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public T caseEModelElement(org.eclipse.emf.ecore.EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Overrides:
    `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.